package beans;

import java.io.Serializable;

public class AddressBean implements Serializable {

	private static final long serialVersionUID = -2356070117808305809L;
	/**
	 * ID address (PK)
	 */
	private int idAddress;
	/**
	 * Reference to user
	 */
	private UserBean user;
	/**
	 * Full name of the street
	 */
	private String street;
	/**
	 * Number street
	 */
	private int number;
	/**
	 * Full name of the town or city
	 */
	private String town;
	/**
	 * Full name of the state or country
	 */
	private String state;
	/**
	 * Zip code
	 */
	private int zipCode;
	
	public AddressBean(){}
	
	public AddressBean(int idAddress, String street, int number,
			String town, String state, int zipCode){
		this(idAddress, null, street, number, town, state, zipCode);
	}

	public AddressBean(int idAddress, UserBean user, String street, int number,
			String town, String state, int zipCode) {
		this.idAddress = idAddress;
		this.user = user;
		this.street = street;
		this.number = number;
		this.town = town;
		this.state = state;
		this.zipCode = zipCode;
	}

	public int getIdAddress() {
		return idAddress;
	}

	public void setIdAddress(int idAddress) {
		this.idAddress = idAddress;
	}

	public UserBean getUser() {
		return user;
	}

	public void setUser(UserBean user) {
		this.user = user;
	}

	public String getStreet() {
		return street;
	}

	public void setStreet(String street) {
		this.street = street;
	}

	public int getNumber() {
		return number;
	}

	public void setNumber(int number) {
		this.number = number;
	}

	public String getTown() {
		return town;
	}

	public void setTown(String town) {
		this.town = town;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public int getZipCode() {
		return zipCode;
	}

	public void setZipCode(int zipCode) {
		this.zipCode = zipCode;
	}

	@Override
	public String toString() {
		return "AddressBean [idAddress=" + idAddress + ", street=" + street
				+ ", number=" + number + ", town=" + town + ", state=" + state
				+ ", zipCode=" + zipCode + "]";
	}
	
	
}
