package dao;

import java.sql.SQLException;
import java.util.List;

import beans.AddressBean;
import beans.UserBean;

public interface IAddressDao extends IGenericDao<AddressBean, Integer>{

	/**
	 * Get list of all addresses from database
	 * 
	 * @return List of addresses
	 * @throws SQLException
	 */
	List<AddressBean> getAddresses() throws SQLException;
	
	/**
	 * Get address to specific user
	 * 
	 * @param user UserBean
	 * @return Address
	 * @throws SQLException
	 */
	AddressBean getAddress(UserBean user) throws SQLException;
	
	/**
	 * Delete addresses for specific user
	 * 
	 * @param instance UserBean
	 * @return TRUE if delete was successful, FALSE otherwise
	 * @throws SQLException
	 */
	public boolean delete(UserBean instance) throws SQLException;
}
