package dao;

import java.sql.SQLException;
import java.util.List;

import beans.ItemBean;

public interface IItemDao extends IGenericDao<ItemBean, Integer>{

	/**
	 * Get list of all items
	 * 
	 * @return List of items (goods)
	 * @throws SQLException
	 */
	List<ItemBean> getItems() throws SQLException;
	
	/**
	 * Get image bytes from Blob
	 * 
	 * @param idItem (PK)
	 * @return Bytes of image
	 * @throws SQLException
	 */
	public byte[] getItemImage(int idItem) throws SQLException;
	
}
