package dao;

import java.sql.SQLException;
import java.util.List;

import beans.UserBean;

public interface IUserDao extends IGenericDao<UserBean, Integer>{
	
	/**
	 * Get list of all users from database
	 * 
	 * @return List of users
	 * @throws SQLException
	 */
	List<UserBean> getUsers() throws SQLException;
	
	/**
	 * Loading record from SQL to Bean object from user login
	 * 
	 * @param userName
	 * @return Bean object
	 * @throws SQLException
	 */
	public UserBean read(String userName) throws SQLException;
}
