package filter;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import beans.UserBean;
import dao.UserDao;
import exception.CustomException;

/**
 * Servlet Filter implementation class AuthFilter
 */
public class AuthFilter implements Filter {

    /**
     * Default constructor. 
     */
    public AuthFilter() {}

	/**
	 * @see Filter#destroy()
	 */
	public void destroy() {}

	/**
	 * @see Filter#doFilter(ServletRequest, ServletResponse, FilterChain)
	 */
	public void doFilter(ServletRequest req, ServletResponse res, FilterChain chain) throws IOException, ServletException {
		HttpServletRequest request = (HttpServletRequest) req;
		HttpSession session = request.getSession(false);
		UserBean loggedUser = null;
		int userId = 0;
		
		try {
			Object userSession = session.getAttribute("loggedUser");
			if(userSession != null){
				//userId = Integer.parseInt((String) userSession);
				userId = (Integer) userSession;
				UserDao userAccess = null;
				userAccess = new UserDao();
				loggedUser = userAccess.read(userId);
				request.setAttribute("user", (Object) loggedUser);
				request.setAttribute("isLogged", true);
			}
		} catch (NullPointerException e){
			CustomException.printException(e, "Session doesn't exist!");
		} catch (IllegalStateException e){
			CustomException.printException(e, "IllegalStateException");
		} catch (ClassNotFoundException e) {
			CustomException.printException(e, "Class wasn't found!");
		} catch (SQLException e) {
			CustomException.printException(e, "Cannot find user with ID " +userId+ "!");
		} finally {
			chain.doFilter(req, res);
		}
	}

	/**
	 * @see Filter#init(FilterConfig)
	 */
	public void init(FilterConfig fConfig) throws ServletException {}

}
