package filter;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.CartItemBean;
import exception.CustomException;

/**
 * Servlet Filter implementation class ShoppingCartFilter
 */
public class ShoppingCartFilter implements Filter {

    /**
     * Default constructor. 
     */
    public ShoppingCartFilter() {}

	/**
	 * @see Filter#destroy()
	 */
	public void destroy() {}

	/**
	 * @see Filter#doFilter(ServletRequest, ServletResponse, FilterChain)
	 */
	@SuppressWarnings("unchecked")
	public void doFilter(ServletRequest req, ServletResponse res, FilterChain chain) throws IOException, ServletException {
		HttpServletRequest request = (HttpServletRequest) req;
		HttpServletResponse response = (HttpServletResponse) res;
		HttpSession session = request.getSession(false);

		Object shopCart = null;
		try {
			shopCart = session.getAttribute("shoppingCart");
		} catch (NullPointerException e){
			CustomException.printException(e, "Session doesn't exist!");
		} catch (IllegalStateException e){
			CustomException.printException(e, "IllegalStateException");
		}
		
		List<CartItemBean> itemsInCart = null;
		if(shopCart == null){
			request.setAttribute("shoppingCart", null);
		}else {
			itemsInCart = (ArrayList<CartItemBean>) shopCart;
			request.setAttribute("shoppingCart", itemsInCart);
		}
		
		// pass the request along the filter chain
		chain.doFilter(request, response);
	}

	/**
	 * @see Filter#init(FilterConfig)
	 */
	public void init(FilterConfig fConfig) throws ServletException {}

}
