package libs;

import org.apache.commons.validator.routines.EmailValidator;


public class FormChecker {

	public boolean checkEmail(String email){
		EmailValidator ev = EmailValidator.getInstance();
		return ev.isValid(email);
	}
	
	
	public boolean checkPhone(String number){
		if(isNumber(number) && number.length() == 9){
			return true;
		}
		return false;
	}
	
	public boolean checkPhone(int number){
		if(String.valueOf(number).length() == 9){
			return true;
		}
		return false;
	}
	
	public boolean isNumber(String number){
		return number.matches("-?\\d+(\\.\\d+)?");
	}
	
	public boolean isStrongPassword(String pass){
		if(pass.length() >= 5 && containsNumbersLetters(pass)){
			return true;
		}
		return false;
	}
	
	private boolean containsNumbersLetters(String s){
		String number = ".*[0-9].*";
	    String letter = ".*[a-zA-Z].*";
	    return s.matches(number) && s.matches(letter);
	}
	
	public boolean isAlpaNumeric(String s){
		String regex = "^[a-zA-Z0-9]*$";
		return s.matches(regex);
	}
}
