package libs;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;

import org.apache.commons.codec.DecoderException;
import org.apache.commons.codec.binary.Hex;

public class StringSerialize {
	
	/**
	 * Serialize string array to string
	 * @param str String array
	 * @return <strong>String</strong> serialized string
	 * @throws IOException
	 */
	public static String serialize(String[] str) throws IOException{
		// serialize
	    ByteArrayOutputStream out = new ByteArrayOutputStream();
	    new ObjectOutputStream(out).writeObject(str);
	    return  new String(Hex.encodeHex(out.toByteArray()));
	}
	
	/**
	 * Deserialize string into String array
	 * 
	 * @param str Serialized string
	 * @return <strong>String[]</strong> deserialized string
	 * @throws ClassNotFoundException
	 * @throws IOException
	 * @throws DecoderException
	 */
	public static String[] deserialize(String str) throws ClassNotFoundException, IOException, DecoderException{
	    ByteArrayInputStream in = new ByteArrayInputStream(Hex.decodeHex(str.toCharArray()));
	    return (String[]) new ObjectInputStream(in).readObject();
	}
}
