package servlet;

import java.io.IOException;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.CartItemBean;
import beans.ItemBean;
import dao.ItemDao;
import exception.CustomException;

/**
 * Servlet implementation class AddToShoppingCart
 */
public class AddToShoppingCart extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public AddToShoppingCart() {
        super();
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	@SuppressWarnings("unchecked")
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		HttpSession session = request.getSession(false);
		List<CartItemBean> itemsInCart = null;
		CartItemBean cartItem = null;
		ItemDao itemAccess = null;
		ItemBean item = null;
		
		try {
			itemAccess = new ItemDao();
			item = itemAccess.read(Integer.valueOf(request.getParameter("id")));
		} catch (NumberFormatException e1) {
			CustomException.printException(e1, "Cannot parser parameter into integer!");
		} catch (SQLException e1) {
			CustomException.printException(e1, "SQL error!");
			e1.printStackTrace();
		} catch (ClassNotFoundException e) {
			CustomException.printException(e, "Cannot found class ItemDao!");
		}
		
		if(item != null){
			cartItem = new CartItemBean(item.getIdItem(), item.getName(), Integer.valueOf(request.getParameter("pieces")), item.getPrice());
		}
		
		Object shopCart = null;
		try {
			shopCart = session.getAttribute("shoppingCart");
		} catch (NullPointerException e){
			CustomException.printException(e, "Session 'shoppingCart' doesn't exist!");
		} catch (IllegalStateException e){
			CustomException.printException(e, "IllegalStateException");
		}
		
		if(shopCart != null){
			itemsInCart = (ArrayList<CartItemBean>) shopCart;
		}else {
			itemsInCart = new ArrayList<CartItemBean>();
		}
		if(itemsInCart.contains(cartItem)){
			itemsInCart.get(itemsInCart.indexOf(cartItem)).addPieces(cartItem.getPieces());
		}else {
			itemsInCart.add(cartItem);
		}
		
		session.setAttribute("shoppingCart", itemsInCart);
		response.sendRedirect("/neumann/products");
	}
}
