package servlet;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import javax.servlet.Servlet;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import libs.UriParser;

/**
 * Servlet implementation class Error
 */
public class Error extends HttpServlet {
	private static final long serialVersionUID = 1L;
	
	Map<Integer, String> httpStatus = new HashMap<Integer,String>();
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public Error() {
        super();
    }
    
    /**
	 * @see Servlet#init(ServletConfig)
	 */
	public void init(ServletConfig config) throws ServletException {
		httpStatus.put(400, "Bad Request");
		httpStatus.put(401, "Unauthorized");
		httpStatus.put(403, "Forbidden");
		httpStatus.put(404, "Not Found");
		httpStatus.put(405, "Method Not Allowed");
		httpStatus.put(500, "Internal Server Error");
		httpStatus.put(501, "Not Implemented");
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String lastUriSegment = UriParser.getLastUriSegment(request.getRequestURI().toString());
		String statusMessage = httpStatus.get(Integer.parseInt(lastUriSegment));
		
		request.setAttribute("errorCode", lastUriSegment);
		request.setAttribute("errorMessage", statusMessage);
		//System.err.println("HTTP Error " + lastUriSegment + ": " + statusMessage);
		
		request.getRequestDispatcher("/WEB-INF/error.jsp").forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		System.out.println("Error doPost...");
	}

}
