package servlet;

import java.io.IOException;
import java.sql.SQLException;
import java.util.List;

import javax.servlet.Servlet;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.ItemBean;
import beans.UserBean;
import dao.ItemDao;
import dao.UserDao;
import exception.CustomException;

/**
 * Servlet implementation class Index
 */
public class Index extends HttpServlet implements Servlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public Index() {
        super();
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		List<UserBean> userList = null;
		UserDao userAccess = null;
		try {
			userAccess = new UserDao();
			userList = userAccess.getUsers();
		} catch (Exception e) {
			System.err.println("Cannot load list of users!");
			e.printStackTrace();
		}
		
		List<ItemBean> itemList = null;
		ItemDao itemAccess = null;
		
			try {
				itemAccess = new ItemDao();
				itemList = itemAccess.getHotItems(8);
			} catch (ClassNotFoundException e) {
				CustomException.printException(e, "Cannot load list of items!");
			} catch (SQLException e) {
				CustomException.printException(e, "SQL error!");
				e.printStackTrace();
			}
			
		
		
		request.setAttribute("userList", userList);
		request.setAttribute("itemList", itemList);
		request.getRequestDispatcher("index.jsp").forward(request, response);
	}

}
