package servlet;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.commons.codec.digest.DigestUtils;

import beans.UserBean;
import dao.UserDao;

/**
 * Servlet implementation class Login
 */
public class Login extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public Login() {
        super();
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		if(request.getParameter("signup") != null){
			request.setAttribute("msg", "Registrace proběhla úspěšně, nyní se můžete přihlásit.");
		}
		
		String isLogged = String.valueOf(request.getAttribute("isLogged"));
		if(Boolean.valueOf(isLogged)){
			response.sendRedirect("/neumann");
		}else {
			request.getRequestDispatcher("WEB-INF/login.jsp").forward(request, response);
		}
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		HttpSession session = request.getSession(false);
		
		String login = request.getParameter("login");
		/* unencrypted password for testing purposes only */
		String password = request.getParameter("password");
		String passwordHash = DigestUtils.shaHex(password);
		
		UserBean user = null;
		UserDao userAccess = null;
		try {
			userAccess = new UserDao();
			user = userAccess.read(login);
		} catch (Exception e) {
			System.err.println("Cannot load this users ("+ login +")!");
			e.printStackTrace();
		}
		if(user != null && (password.equals(user.getPassword()) || passwordHash.equals(user.getPassword()))){
			System.out.println("Logged as " + user.getLogin() + " ("+user.getIdUser()+")");
			session.setAttribute("loggedUser", user.getIdUser());
		}
		
		//callback URI
		String ref = request.getParameter("ref");
		
		if(ref == null){
			response.sendRedirect("/neumann");
		}else {
			response.sendRedirect(ref);
		}
		
	}

}
