package servlet;

import java.io.IOException;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.ItemBean;
import dao.ItemDao;
import exception.CustomException;

/**
 * Servlet implementation class ProductDetail
 */
public class ProductDetail extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public ProductDetail() {
        super();
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		ItemBean item = null;
		List<ItemBean> similar = null;
		List<ItemBean> discount = null;
		ItemDao itemAccess = null;
		try {
			itemAccess = new ItemDao();
			item = itemAccess.read(Integer.valueOf(request.getParameter("id")));
			similar = itemAccess.getItemsByCategory(item.getCategory(), 4);
			discount = itemAccess.getDiscountItems(2);
		} catch (Exception e) {
			CustomException.printException(e, "Cannot load list of items!");
		}
		
		request.setAttribute("item", item);
		request.setAttribute("similarItems", similar);
		request.setAttribute("discountItems", discount);
		request.getRequestDispatcher("WEB-INF/product/product-detail.jsp").forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
	}

}
