package servlet;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import dao.ItemDao;
import exception.CustomException;

/**
 * Servlet implementation class ProductImage<br>
 * <br>
 * Provide access to image output stream from database 
 * 
 */
public class ProductImage extends HttpServlet {
	private static final long serialVersionUID = 1L;
       

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		ItemDao itemAccess = null;
		try {
			itemAccess = new ItemDao();
			response.getOutputStream().write(itemAccess.getItemImage(Integer.valueOf(request.getParameter("id"))));
		} catch (NumberFormatException e) {
			CustomException.printException(e, "Cannot convert parameter to integer!");
		} catch (SQLException e) {
			CustomException.printFullException(e, "SQL error!");
		} catch (ClassNotFoundException e) {
			CustomException.printException(e, "Cannot load ItemDao class!");
		}
		
	}

}
