<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8" %>
<jsp:include page="../inc/head.jsp" flush="true" />
<body>
	<jsp:include page="../inc/navigation.jsp" flush="true" />
	<main>
		<section class="cart-order">
			<h1><c:out value="${requestScope.heading}" /></h1>
			<c:if test="${requestScope.formError}">
              	 <c:forEach items="${requestScope.formErrorMsg}" var="msg">
					<c:out value="${msg}" /><br>
				</c:forEach>
              </c:if>
			<form method="POST" enctype="multipart/form-data"><!-- multipart/form-data | application/x-www-form-urlencoded -->
				<input type="hidden" name="idItem" value="<c:out value="${data['idItem']}" />">
				<div class="required">
          			<label for="form-name">Název</label>
					<input type="text" name="name" id="form-name" 
						<c:if test="${requestScope.edit}">
                      	value="<c:out value="${data['name']}" />"
						</c:if> required>
				</div>
				<div class="required">
          			<label for="form-price">Cena</label>
					<input type="text" name="price" id="form-price" 
						<c:if test="${requestScope.edit}">
                      	value="<c:out value="${data['price']}" />"
						</c:if> required>
				</div>
				<div class="required">
          			<label for="form-quantity">Množství skladem</label>
					<input type="text" name="quantity" id="form-quantity" 
						<c:if test="${requestScope.edit}">
                      	value="<c:out value="${data['quantity']}" />"
						</c:if> required>
				</div>
				<div class="required">
          			<label for="form-shortDesc">Krátký popis</label>
					<textarea name="short_desc" id="form-shortDesc" row="4"
						 required><c:if test="${requestScope.edit}"><c:out value="${data['short_desc']}" /></c:if></textarea>
				</div>
				<div>
          			<label for="form-photo">Obrázek</label>
					<input type="file" name="photo" id="form-photo">
				</div>
				<div class="required">
          			<label for="form-fullDesc">Dlouhý popis</label>
					<textarea name="full_desc" id="form-fullDesc" row="6"
						 required><c:if test="${requestScope.edit}"><c:out value="${data['full_desc']}" /></c:if></textarea>
				</div>
				<div>
          			<label for="form-spec">Specifické vlastnosti</label>
					<textarea name="specific_features" id="form-spec" 
						row="8"><c:if test="${requestScope.edit}"><c:out value="${data['specific_features']}" /></c:if></textarea>
				</div>
				<div>
          			<label for="form-cat">Kategorie</label>
					<select name="category" id="form-cat">
					<c:forEach items="${requestScope.categories}" var="cat">
						<option value="<c:out value="${cat.name}" />"><c:out value="${cat.name}" /></option>
					</c:forEach>
					</select>
				</div>
				<div>
					<button type="submit">Odeslat</button>
				</div>
			</form>
		</section>
	<jsp:include page="../inc/footer.jsp" flush="true" /> </main>
</body>
</html>