<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8" %>
<jsp:include page="../inc/head.jsp" flush="true" />
<body>
	<jsp:include page="../inc/navigation.jsp" flush="true" />
	<main>
		<section class="cart-order">
	 	    <h1>Přehled produktů</h1>
	 	   	<a href="/neumann/admin/item/add" class="button">Přidat nový produkt</a>
	 	   	<table>
	 	   		<thead>
		 	   		<tr>
		 	   			<th>Název</th>
		 	   			<th>Počet kusů</th>
		 	   			<th>Cena</th>
		 	   			<th>Speciální vl.</th>
		 	   			<th>#actions</th>
		 	   		</tr>
	 	   		</thead>
		 	   	<tbody>
			 	   	<c:forEach items="${requestScope.itemList}" var="item">
					<tr>
						<td><c:out value="${item.name}" /></td>
						<td><c:out value="${item.quantity}" /></td>
						<td><c:out value="${item.price}" /></td>
						<td><c:out value="${item.specificFeatures}" /></td>
						<td>
						<a href="/neumann/admin/item/view?id=${item.idItem}">View</a> | 
						<a href="/neumann/admin/item/edit?id=${item.idItem}">Edit</a> | 
						<a href="/neumann/admin/item/delete?id=${item.idItem}">Delete</a>
						</td>
					</tr>
					</c:forEach>
				</tbody>
			</table>
	    </section>
	    <section class="cart-order" id="categories">
	 	    <h1>Přehled kategoriií</h1>
<!-- 	 	   	<a href="/neumann/admin/category/add" class="button">Přidat novou kategorii</a> -->
	 	   	<table>
	 	   		<thead>
		 	   		<tr>
		 	   			<th>Název</th>
		 	   			<th>Popis</th>
		 	   			<th>#actions</th>
		 	   		</tr>
	 	   		</thead>
		 	   	<tbody>
			 	   	<c:forEach items="${requestScope.catList}" var="cat">
					<tr>
						<td><c:out value="${cat.name}" /></td>
						<td><c:out value="${cat.desc}" /></td>
						<td> 
						<a href="/neumann/admin/category/delete?id=${cat.idCategory}">Delete</a>
						</td>
					</tr>
					</c:forEach>
				</tbody>
			</table>
	    </section>
	<jsp:include page="../inc/footer.jsp" flush="true" /> </main>
</body>
</html>