<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8" %>
<jsp:include page="/WEB-INF/inc/head.jsp" flush="true" />
<body>
	<jsp:include page="/WEB-INF/inc/navigation.jsp" flush="true" />
	<main>
	<header>
              <h1>Nákupní košík</h1>
          </header>
          <section class="cart-overview">
              <h2>Přehled vybraného zboží</h2>
              <table>
                  <thead>
                      <tr>
                          <th>#ID</th>
                          <th>Název</th>
                          <th>Počet</th>
                          <th>Cena za kus</th>
                          <th>Celková cena</th>
                      </tr>
                  </thead>
			<c:choose>
			    <c:when test="${not empty requestScope.shoppingCart}">
				    <tbody>
				    <c:set var="price" value="0" scope="page" />
				    <c:forEach items="${requestScope.shoppingCart}" var="sc">
				    	<c:set var="price" value="${price + sc.pricePerPiece * sc.pieces}" scope="page"/>
				    	
				    	<tr>
							<td><c:out value="${sc.idItem}" /></td>
							<td><c:out value="${sc.itemName}" /></td>
							<td><c:out value="${sc.pieces}" /></td>
							<td><c:out value="${sc.pricePerPiece}" /> Kč</td>
							<td><c:out value="${sc.pieces * sc.pricePerPiece}" /> Kč</td>
						</tr>
				    </c:forEach>
		        	</tbody>
			        <tfoot>
			        	<c:choose>
						    <c:when test="${requestScope.isLogged && requestScope.user.hasDiscount()}">
								<tr>
			               			<td colspan="2">Sleva: </td>
			                   		<td colspan="3"><c:out value="${requestScope.user.discount}" /> %</td>
			             		</tr>
			             		<tr>
			               			<td colspan="2">Cena před slevou: </td>
			                   		<td colspan="3"><c:out value="${price}" /> Kč</td>
			             		</tr>
			             		<tr>
			               			<td colspan="2">Celkem za celý nákup: </td>
			                   		<td colspan="3"><c:out value="${price * ((100-requestScope.user.discount)/100)}" /> Kč + poštovné</td>
			             		</tr>
						    </c:when>
						    <c:otherwise>
								<tr>
			               			<td colspan="2">Celkem za celý nákup: </td>
			                   		<td colspan="3"><c:out value="${price}" /> Kč + poštovné</td>
			             		</tr>
						    </c:otherwise>
						</c:choose>
	      			</tfoot>
			    </c:when>
			    <c:otherwise>
			    	<tbody>
			    		<tr><td colspan="5">Košík je prázdný</td></tr>
			    	</tbody>
			    </c:otherwise>
		    </c:choose>
              </table>
          </section>
          <c:if test="${not empty requestScope.shoppingCart}">
          <section class="cart-order">
              <h2>Objednávka zboží</h2>
              <c:if test="${requestScope.formError}">
              	 <c:forEach items="${requestScope.formErrorMsg}" var="msg">
					<p><c:out value="${msg}" /></p>
				</c:forEach>
              </c:if>
              <form method="POST">
              	<input type="hidden" name="total-price" value="${price}">
              	<input type="hidden" name="discount" value="${requestScope.user.discount}">
      			 <c:forEach items="${requestScope.shoppingCart}" var="sc">
			    	<input type="hidden" name="item"
			    		value="${sc.idItem}:${sc.itemName}:${sc.pieces}:${sc.pricePerPiece}:${sc.pieces * sc.pricePerPiece}">
			    </c:forEach>
             		<div class="required">
                      <label for="form-name">Způsob platby</label>
                      <select name="payment">
                      	<option value="1">Platební kartou</option>
                      	<option value="2">Při převzetí zboží</option>
                      	<option value="3">Bankovním převodem</option>
                      </select>
                  	</div>
              		<div class="required">
                      <label for="form-name">Doprava</label>
                      <select name="delivery">
                      	<option value="1">Českou poštou (+110 Kč)</option>
                      	<option value="2">Kurírní službou PPL (+110 Kč)</option>
                      	<option value="3">Osobní odběr na prodejně (+0 Kč)</option>
                      	<option value="4">Aukro (Heureka) point (+50 Kč)</option>
                      </select>
                  	</div>
              
              	<h3>Fakturační adresa</h3>
                  <div class="required">
                      <label for="form-name">Jméno</label>
                      <input type="text" name="name" id="form-name"  
                      	value="<c:out value="${data['name']}" />" required>
                  </div>
                  <div class="required">
                      <label for="form-lastname">Příjmení</label>
                      <input type="text" name="lastname" id="form-lastname" 
                      	value="<c:out value="${data['lastname']}" />" required>
                  </div>
                  <div class="required">
                      <label for="form-email">E-mail</label>
                      <input type="email" name="email" id="form-email" 
                      	value="<c:out value="${data['email']}" />" required>
                  </div>
                  <div class="required">
                      <label for="form-street">Ulice</label>
                      <input type="text" name="street" id="form-street" 
                      	value="<c:out value="${data['street']}" />" required>
                  </div>
                  <div class="required">
                      <label for="form-town">Město</label>
                      <input type="text" name="town" id="form-town" 
                      	value="<c:out value="${data['town']}" />" required>
                  </div>
                  <div class="required">
                      <label for="form-zip">PSČ</label>
                      <input type="text" name="zipCode" id="form-zip" 
                      	value="<c:out value="${data['zipCode']}" />" required>
                  </div>
                  
                  <h3>Doručovací adresa</h3>
                  <p>Je-li doručovací adresa stejná jako fakturační ponechte pole prázdná.</p>
                  <div class="required">
                      <label for="form-del-name">Jméno</label>
                      <input type="text" name="del-name" id="form-del-name"  
                      	value="<c:out value="${data['del-name']}" />" >
                  </div>
                  <div class="required">
                      <label for="form-del-lastname">Příjmení</label>
                      <input type="text" name="del-lastname" id="form-del-lastname" 
                      	value="<c:out value="${data['del-lastname']}" />">
                  </div>
                  <div class="required">
                      <label for="form-del-street">Ulice</label>
                      <input type="text" name="del-street" id="form-del-street" 
                      	value="<c:out value="${data['del-street']}" />">
                  </div>
                  <div class="required">
                      <label for="form-del-town">Město</label>
                      <input type="text" name="del-town" id="form-del-town" 
                      	value="<c:out value="${data['del-town']}" />">
                  </div>
                  <div class="required">
                      <label for="form-del-zip">PSČ</label>
                      <input type="text" name="del-zipCode" id="form-del-zip" 
                      	value="<c:out value="${data['del-zipCode']}" />">
                  </div>
                  
                  <div class="checkbox">
                      <input type="checkbox" name="agreement" id="form-agree" value="true">
                      <label for="form-agree">Souhlasím se <a href="/neumann/page/general-terms">Všeobecnými podmínkami</a></label>
                  </div>
                  <div>
                      <button type="submit">Odeslat objednávku</button>
                  </div>
              </form>
          </section>
          </c:if>
	<jsp:include page="/WEB-INF/inc/footer.jsp" flush="true" /> </main>
</body>
</html>